package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.ProjectAccidentAnalyse;
import com.lightinit.hsdatashow.entity.ProjectAccidentAnalyseExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel;
import com.lightinit.hsdatashow.model.admin.ChartModel2;
import org.apache.ibatis.annotations.Param;

public interface ProjectAccidentAnalyseMapper {
    long countByExample(ProjectAccidentAnalyseExample example);

    int deleteByExample(ProjectAccidentAnalyseExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ProjectAccidentAnalyse record);

    int insertSelective(ProjectAccidentAnalyse record);

    List<ProjectAccidentAnalyse> selectByExample(ProjectAccidentAnalyseExample example);

    ProjectAccidentAnalyse selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ProjectAccidentAnalyse record, @Param("example") ProjectAccidentAnalyseExample example);

    int updateByExample(@Param("record") ProjectAccidentAnalyse record, @Param("example") ProjectAccidentAnalyseExample example);

    int updateByPrimaryKeySelective(ProjectAccidentAnalyse record);

    int updateByPrimaryKey(ProjectAccidentAnalyse record);

    List<ChartModel> getProjectAccidentAnalyser();
}